WarResource (Apache Tomcat 10.1.48 API Documentation)
Description: declaration: package: org.apache.catalina.webresources, class: WarResource

# Class WarResource

java.lang.Object
org.apache.catalina.webresources.AbstractResource
org.apache.catalina.webresources.AbstractArchiveResource
org.apache.catalina.webresources.AbstractSingleArchiveResource
org.apache.catalina.webresources.WarResource

All Implemented Interfaces:
  `WebResource`

public class WarResource extends AbstractSingleArchiveResource
Represents a single resource (file or directory) that is located within a WAR.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class AbstractArchiveResource

  `AbstractArchiveResource.JarInputStreamWrapper`

- ## Field Summary

  ### Fields inherited from class AbstractResource

  `sm`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WarResource(AbstractArchiveResourceSet archiveResourceSet, String webAppPath, String baseUrl, JarEntry jarEntry)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Log`
  `getLog()`

  ### Methods inherited from class AbstractSingleArchiveResource

  `getJarInputStreamWrapper`

  ### Methods inherited from class AbstractArchiveResource

  `canRead, delete, doGetInputStream, exists, getArchiveResourceSet, getBase, getBaseUrl, getCanonicalPath, getCertificates, getCodeBase, getContent, getContentLength, getCreation, getLastModified, getManifest, getName, getResource, getURL, isDirectory, isFile, isVirtual`

  ### Methods inherited from class AbstractResource

  `getETag, getInputStream, getLastModifiedHttp, getMimeType, getStrongETag, getWebappPath, getWebResourceRoot, setMimeType`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WarResource

    public WarResource(AbstractArchiveResourceSet archiveResourceSet, String webAppPath, String baseUrl, JarEntry jarEntry)

- ## Method Details

  - ### getLog

    protected Log getLog()
    Specified by:
      `getLog` in class `AbstractResource`